Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QDataStream

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QDataStream class reference

### Public Functions

- bool eof () const
- bool isPrintableData () const
- QDataStream & readRawBytes ( char * str, uint len )
- void setPrintableData ( bool enable )
- QDataStream & writeRawBytes ( const char * str, uint len )

## Member Function Documentation

### bool QDataStream::eof () const

Use atEnd() instead.

### bool QDataStream::isPrintableData () const

In Qt 4, this function always returns false.

See also setPrintableData().

### QDataStream & QDataStream::readRawBytes ( char * str, uint len )

Use readRawData() instead.

### void QDataStream::setPrintableData ( bool enable )

In Qt 3, this function enabled output in a human-readable format if enable was false.

In Qt 4, QDataStream no longer provides a human-readable output. This function does nothing.

### QDataStream & QDataStream::writeRawBytes ( const char * str, uint len )

Use writeRawData() instead.